<?php
/*--------------------------------------------
 * EasyWebshop API XML PUSH test script
   Copyright (c) 2016 Jan Van Liedekerke

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

	Documentation: https://www.easywebshop.com/doc/api

	This script receives the XML PUSH that was sent from the EasyWebshop servers.
	It then sends an e-mail with the data to the programmer.

	The intended use for this script is solely for testing purposes.
	The code can be used and altered freely.

	Install this script on your server and set the URL in the backend of your shop:
	https://www.easywebshop.com/software/module_api

--------------------------------------------*/

// Address to send data to
$email = 'no-reply@easywebshop.com';

// Collect data
$feedback = "\n\nGET variables:\n\n";

foreach ($_GET as $name => $value) {
	$feedback .= $name . ': ' . $value . "\n";
}

$feedback .= "\n\nPOST variables:\n\n";
foreach ($_POST as $name => $value) {
	$feedback .= $name . ': ' . $value . "\n";
}

$feedback .= "\n\nXML data:\n\n" . file_get_contents("php://input");

// Send mail
mail($email, 'EasyWebshop API PUSH ', $feedback . "\n\n" .

	// Username
	(isset($_SERVER['PHP_AUTH_USER']) ? 'User: ' . $_SERVER['PHP_AUTH_USER'] . "\n" : '') .

	// IP Address
	(isset($_SERVER['HTTP_X_FORWARDED_FOR']) ? $_SERVER['HTTP_X_FORWARDED_FOR'] . "\n" : '') .
	$_SERVER['REMOTE_ADDR']);


// Return success
header('HTTP/1.1 200 OK');
die('200 OK');

?>
